﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent DSO80x04B (1 yr) VER IEEE /9500+G3,2Hd
DATE:                  2017-02-06 09:16:50
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       319
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B
#
#  Compatibility:
#         MET/CAL 7.11 SP1 (7.11j) or later
#
#  Source(s):
#        Agilent 80000 Series Infiniium Oscilloscopes Service Guide,
#         Part No. D8104-97000, February 2006
#
#  Additional Equipment Required:
#        Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent Part No.
#         54855-67604, No Substitute
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         1GH                          100mVpp        LS    S  L
  1.005  M9500                       CH5
  1.006  9500         6GH                          100mVpp        LS    S  L
  1.007  ENDIF

  1.008  CALL         Sub Copyright
  1.009  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.010  CALL         Sub Check MET/CAL Version

  1.011  IF           GET("METCAL_Version_OK") != 1
  1.012  DISP         This procedure requires MET/CAL 7.11j or later.
  1.013  END
  1.014  ENDIF

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         30 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.017  DISP         operation. From the menu bar (using the mouse):
  1.017  DISP
  1.017  DISP         Select "Utilities", followed by "GPIB Setup..."
  1.017  DISP
  1.017  DISP         Note the UUT address. If this workstation is equipped
  1.017  DISP         with two GPIB cards, the address is unimportant, as
  1.017  DISP         long as it is not (0) zero. If, however, only 1 GPIB
  1.017  DISP         card is installed, the UUT address must not conflict
  1.017  DISP         with those of configured reference(s).
  1.017  DISP
  1.017  DISP         Select an appropriate address, as necessary.

  1.018  DISP         Connect the UUT to the workstation to the available
  1.018  DISP         IEEE-488 Port.

  1.019  SCPI         *RST
# Set Post-Test reset condition for UUT.
  1.020  RESET        *CLS[GTL]

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE
# Make sure correct UUT is connected.
  1.023  MATH         S[1] = GETV("Manufacturer"); S[2] = GETV("Model_Num")
  1.024  MATH         L[1] = ZCMPI("Agilent Technologies", S[1])
  1.025  MATH         L[2] = ZCMPI(S[7], S[2])

  1.026  IF           (L[1] && L[2]) == 0
  1.027  DISP         The UUT is an [S1] [S2],
  1.027  DISP         not an Agilent Technologies [S7]!
  1.028  END
  1.029  ENDIF

  1.030  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.031  CALL         Sub Pause on Failed Tests
  1.032  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.033  HEAD         EQUIPMENT REQUIRED
  1.034  DISP         The following additional equipment is required to
  1.034  DISP         facilitate the verification:
  1.034  DISP
  1.034  DISP         - Adapter, precision, Agilent Part No. 54855-67604,
  1.034  DISP         [32] no substitute

  1.035  CALL         Sub Connector Precautions (3.5 mm)

  1.036  RSLT         =
  1.037  HEAD         SELF TEST
  1.038  TARGET
  1.039  DISP         Ensure nothing is connected to the UUT input
  1.039  DISP         channels at this time.
  1.039  DISP
  1.039  DISP         NOTE: Self-Test takes approximately 5 minutes
  1.039  DISP         [32]     to complete.
  1.040  SCPI         [T300000]*TST?[I]
  1.041  EVAL   -e MEM == 0 : SELF TEST
  2.001  SCPI         *RST

  2.002  RSLT         =
  2.003  HEAD         {VERTICAL PERFORMANCE ACCURACY}
  2.004  MATH         PUT("Chan", 1)
  2.005  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.006  MATH         PUT("Chan", 2)
  2.007  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.008  MATH         PUT("Chan", 3)
  2.009  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.010  MATH         PUT("Chan", 4)
  2.011  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE

  2.012  HEAD         INSTRUMENT CONNECTIONS
  2.013  DISP         Make the following connections:
  2.013  DISP
  2.013  DISP         [32]       9500          to    UUT
  2.013  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1

  2.014  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.015  DISP         The next routine operator intervention occurs
  2.015  DISP         in approximately 2 minutes...
  2.016  ELSE
  2.017  DISP         The next routine operator intervention occurs
  2.017  DISP         in approximately 19 minutes...
  2.018  ENDIF

  2.019  MATH         PUT("Chan", 1)
  2.020  M9500                       CH1
  2.021  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.022  JMPL         CH1_DCV_GAIN

  2.023  LABEL        CH2_OFFSET_GAIN
  2.024  HEAD         INSTRUMENT CONNECTIONS
  2.025  DISP         Make the following connections:
  2.025  DISP
  2.025  DISP         [32]       9500          to    UUT
  2.025  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 2

  2.026  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.027  DISP         The next routine operator intervention occurs
  2.027  DISP         in approximately 2 minutes...
  2.028  ELSE
  2.029  DISP         The next routine operator intervention occurs
  2.029  DISP         in approximately 19 minutes...
  2.030  ENDIF

  2.031  MATH         PUT("Chan", 2)
  2.032  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.033  JMPL         CH2_DCV_GAIN

  2.034  LABEL        CH3_OFFSET_GAIN
  2.035  HEAD         INSTRUMENT CONNECTIONS
  2.036  DISP         Make the following connections:
  2.036  DISP
  2.036  DISP         [32]       9500          to    UUT
  2.036  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 3

  2.037  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.038  DISP         The next routine operator intervention occurs
  2.038  DISP         in approximately 2 minutes...
  2.039  ELSE
  2.040  DISP         The next routine operator intervention occurs
  2.040  DISP         in approximately 19 minutes...
  2.041  ENDIF

  2.042  MATH         PUT("Chan", 3)
  2.043  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.044  JMPL         CH3_DCV_GAIN

  2.045  LABEL        CH4_OFFSET_GAIN
  2.046  HEAD         INSTRUMENT CONNECTIONS
  2.047  DISP         Make the following connections:
  2.047  DISP
  2.047  DISP         [32]       9500          to    UUT
  2.047  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 4

  2.048  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.049  DISP         The next routine operator intervention occurs
  2.049  DISP         in approximately 2 minutes...
  2.050  ELSE
  2.051  DISP         The next routine operator intervention occurs
  2.051  DISP         in approximately 19 minutes...
  2.052  ENDIF

  2.053  MATH         PUT("Chan", 4)
  2.054  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.055  JMPL         CH4_DCV_GAIN

  2.056  LABEL        CH1_DCV_GAIN
  2.057  MATH         PUT("Chan", 1)
  2.058  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.059  JMPL         CH2_OFFSET_GAIN

  2.060  LABEL        CH2_DCV_GAIN
  2.061  MATH         PUT("Chan", 2)
  2.062  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.063  JMPL         CH3_OFFSET_GAIN

  2.064  LABEL        CH3_DCV_GAIN
  2.065  MATH         PUT("Chan", 3)
  2.066  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.067  JMPL         CH4_OFFSET_GAIN

  2.068  LABEL        CH4_DCV_GAIN
  2.069  MATH         PUT("Chan", 4)
  2.070  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.071  DISP         Remove all connections.

  2.072  DISP         Make the following connections:
  2.072  DISP
  2.072  DISP         [32]       9500          to    UUT
  2.072  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 1
  2.072  DISP
  2.072  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.072  DISP         [32]     to facilitate the connection between the
  2.072  DISP         [32]     9560 Active Head and the UUT.

  2.073  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.074  DISP         The next routine operator intervention occurs
  2.074  DISP         in approximately 1 minute...
  2.075  ELSE
  2.076  DISP         The next routine operator intervention occurs
  2.076  DISP         in approximately 4 minutes...
  2.077  ENDIF

  2.078  MATH         PUT("Chan", 1)
  2.079  M9500                       CH5
  2.080  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.081  DISP         Make the following connections:
  2.081  DISP
  2.081  DISP         [32]       9500          to    UUT
  2.081  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 2
  2.081  DISP
  2.081  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.081  DISP         [32]     to facilitate the connection between the
  2.081  DISP         [32]     9560 Active Head and the UUT.

  2.082  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.083  DISP         The next routine operator intervention occurs
  2.083  DISP         in approximately 1 minute...
  2.084  ELSE
  2.085  DISP         The next routine operator intervention occurs
  2.085  DISP         in approximately 4 minutes...
  2.086  ENDIF

  2.087  MATH         PUT("Chan", 2)
  2.088  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.089  DISP         Make the following connections:
  2.089  DISP
  2.089  DISP         [32]       9500          to    UUT
  2.089  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 3
  2.089  DISP
  2.089  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.089  DISP         [32]     to facilitate the connection between the
  2.089  DISP         [32]     9560 Active Head and the UUT.

  2.090  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.091  DISP         The next routine operator intervention occurs
  2.091  DISP         in approximately 1 minute...
  2.092  ELSE
  2.093  DISP         The next routine operator intervention occurs
  2.093  DISP         in approximately 4 minutes...
  2.094  ENDIF

  2.095  MATH         PUT("Chan", 3)
  2.096  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.097  DISP         Make the following connections:
  2.097  DISP
  2.097  DISP         [32]       9500          to    UUT
  2.097  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 4
  2.097  DISP
  2.097  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.097  DISP         [32]     to facilitate the connection between the
  2.097  DISP         [32]     9560 Active Head and the UUT.

  2.098  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.099  DISP         The next routine operator intervention occurs
  2.099  DISP         in approximately 1 minute...
  2.100  ELSE
  2.101  DISP         The next routine operator intervention occurs
  2.101  DISP         in approximately 4 minutes...
  2.102  ENDIF

  2.103  MATH         PUT("Chan", 4)
  2.104  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.105  DISP         V E R I F I C A T I O N  C O M P L E T E!
  2.106  END
